[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [E-devel] e_utils (e17setroot) fails to build



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Eric Sandall wrote:
> Ryan Little wrote:
>>> On 4/12/06, Eric Sandall <eric@sandall.us> wrote:
>>>> When trying to build e_utils lately (checkouts off and on over the last
>>>> few weeks) I have been receiving this error:
>>>> /usr/bin/make  all-recursive
>>>> In file included from e17setroot.c:8:
>>>> /usr/include/Imlib2.h:108: error: syntax error before '*' token
>>>> /usr/include/Imlib2.h:109: error: syntax error before '*' token
>>>> /usr/include/Imlib2.h:110: error: syntax error before 'colormap'
>>>> /usr/include/Imlib2.h:111: error: syntax error before 'drawable'
>>>> /usr/include/Imlib2.h:112: error: syntax error before 'mask'
>>>> /usr/include/Imlib2.h:137: error: syntax error before '*' token
>>>> /usr/include/Imlib2.h:138: error: syntax error before '*' token
>>>>
>>> Do you perhaps have an older (distro installed?) version of Imlib2
>>> installed? Are you *sure* the version you have matches the one in CVS?
>>> Looking at Imlib2.h (from a checkout today) those errors shouldn't be
>>> occuring  on  those lines. I'd reccomend ditching the distro installed
>>> Imlib2 and  building the version from CVS.
> 
> I mentioned in the part you snipped that I have imlib and imlib_loaders
> v1.2.1 installed and that the rest of EFL compiles against what I have
> installed. I haven't tried the CVS version of imlib/imlib_loaders, but
> if that works then e_utils (e17setroot) has a different minimum
> requirement than the rest of EFL/DR17...
<snip>

Installing the CVS version of imlib does allow e17setroot (from e_utils)
to successfully build. Is there a reason this recently (last few weeks)
changed? I have been using DR17 for a while now and have never installed
the CVS version of imlib, but have kept at the stable version since
roughly 2005-06-27.

- -sandalle

- --
Eric Sandall                     |  Source Mage GNU/Linux Developer
eric@sandall.us                  |  http://www.sourcemage.org/
http://eric.sandall.us/          |  SysAdmin @ Shock Physics @ WSU
http://counter.li.org/  #196285  |  http://www.shock.wsu.edu/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFEPaupHXt9dKjv3WERAqFeAJ9DQeGFuy2reEQIHTKAwoxFPPqBjgCgmdVp
ZdnudatSYSsIyKv2UDg2Ca4=
=sJ07
-----END PGP SIGNATURE-----